/*======================================
Theme Name: Connected Architecture Theme
Theme URI: https://brandnewnotebook.co.uk
Description: Custom theme for Connected Architecture
Version: 1.2
Author: Brand New Notebook
Author URI: https://brandnewnotebook.co.uk
Template: Divi
======================================*/


/* You can add your own CSS styles here. Use !important to overwrite styles if needed. */


/*change nav */

/*nav font */

#et-top-navigation li a {
	font-weight:600 !important;
		letter-spacing:0.07em !important;
}


#et-top-navigation li a:hover {
	text-decoration:underline;
	transition-duration: 0.2s !important;
}

h1, h2, h3, h4, h5, h6 {
	  text-transform:uppercase;
}


/*fade in main nav on home page */

body.home #main-header {
    opacity: 0;
    transition: opacity 1.5s ease-in-out;
}

body.home #main-header.loaded {
    opacity: 1;
}





.middlesection {
	display:flex;
align-items:center;
justify-content:center;
}

.fp-watermark {display: none;}



.section {
	min-height:calc(100vh ) !important;

}

@media (max-width: 980px) {
	.section {
	
		min-height:auto;
	}
}
	




.dica-item-image {
    height: 100%;
    object-fit: cover;
    object-position: center; /* optional, to center images */
}

.swiper-button-container {margin-right:20px;
padding-right:20px !important;}



/*Fade in home page text animation */
@keyframes fadeInUp {
   0% {
    opacity: 0;
    transform: translateY(30px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.fadeintext {
  animation-name: fadeInUp;
  animation-duration: 0.5s;
  animation-delay: 0s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: both;
}

@media (max-width: 980px) {
	
	.fadeintext {
  animation-name: fadeInUp;
  animation-duration: 0.5s;
  animation-delay: 0s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: both;
}
}




/*Fade in home page arrow animation - DESKTOP */

@keyframes fadeInUpArrow {
   0% {
    opacity: 0;
    transform: translateY(20px);
  }
  100% {
    opacity: 1;
    transform: translateY(-10px);
  }
}

.fadeinarrow {
  animation-name: fadeInUpArrow;
 animation-duration: 0.5s;
  animation-delay: 0.5s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: both;
}

@media (max-width: 980px) {
	
	.fadeinarrow {
  animation-name: fadeInUpArrow;
 animation-duration: 0.5s;
  animation-delay: 0.3s;
  animation-timing-function: ease-in-out;
  animation-fill-mode: both;
}
}




/* Animate div in viewport text */
.target-to-animate {
  opacity: 0;
  transform: translateY(20px);
}
/* Animate div in viewport arrow */
.target-to-animate-arrow {
  opacity: 0;
  transform: translateY(20px);
}



/*Fade in home page text animation - MOBILE */








/* Animate div in viewport text */
.target-to-animate {
  opacity: 0;
  transform: translateY(20px);
}
/* Animate div in viewport arrow */
.target-to-animate-arrow {
  opacity: 0;
  transform: translateY(20px);
}


/*MOBILE MENU ADJUSTMENTS */



@media (max-width: 980px){
	.et_header_style_left #logo {max-width:35% !important}
}


/*menu width on mobile */
@media (max-width: 980px) {
.container.et_menu_container {width:95% !important}

}


/*Adjust project page */

.project-image {min-width:100% !important;
height:auto !important;}

.projects-bottom-bar {
  position: fixed;
  bottom: -100% !important; /* adjust as needed */
  width: 100%;
  transition: bottom 1s ease-out;
	z-index:9999;
}

.projects-bottom-bar.scrolled {
  bottom: 0 !important;
}


/*adjust projects grid page */

.divi-filter-archive-loop .et_pb_column .et_pb_de_mach_thumbnail img, .divi-radio-tick_box input:checked ~ .checkmark:after, .dmach-image-icon-placement-left .dmach-acf-video-container, .dmach-image-icon-placement-right .dmach-acf-video-container, .dmach_content_update_cont .dmach_content_update:first-child, .et_pb_de_mach_acf_item img, .load-4 .donut-cont, .load-5 .donutmulti-cont, .load-6 .ripple-cont .feature-project-loop {
    width: 100% !important;
    max-width: 100% !important;
    height: auto;
}


/*carousel module adjustments */


/*adjust nav arrows */
.dica-container .swiper-buttton-container {padding-right:20px;}



/*services page adjustments */

/*timeline*/

.dipi_timeline_item_description a{
	
	color:#2b2a28;
	font-weight:500;}

.dipi_timeline_item_description a:hover {
	
	color:#A37659;
	font-weight:500;}


@media (max-width: 980px) {
    .fp-scrollable.fp-responsive .fp-is-overflow.fp-section, 
    .fp-scrollable .fp-section, 
    .fp-scrollable .fp-slide {
        height: auto !important;  /* Resetting the height property */
    }
}


/*adjust width of left-aligned blurbs */
.et_pb_blurb_position_left .et_pb_blurb_container
{
	padding-left:0px;
}


